Subject: setfilepermissions doesn't work with ACL correctly
Description

After setting up fresh, the set file permissions didn't work correctly.

Associated revisions
Revision 0d403530 - 2011-12-13 13:36 - Karsten Dambekalns

[BUGFIX] ACL file permissions do not work correctly

When setting file permissions the setting of ACL would succeed but
the set permissions did not work as expected. This changes fixes that.

In addition it makes the calls in a chain so that the check for the
return value of the chmod commands is more robust. The directories
that are created are now always owned by the command line user.

Change-Id: I02d48e7cec54c374697ec6142ecbde69c666dcec
Fixes: #32499
Releases: 1.0, 1.1

Revision 9ae0f937 - 2011-12-13 15:43 - Karsten Dambekalns

[BUGFIX] ACL file permissions do not work correctly

When setting file permissions the setting of ACL would succeed but
the set permissions did not work as expected. This changes fixes that.

In addition it makes the calls in a chain so that the check for the
return value of the chmod commands is more robust. The directories
that are created are now always owned by the command line user.

Change-Id: I19bb0acf0bdcf50b10ba3c3397c0a4d62e305e21
Fixes: #32499
Releases: 1.0, 1.1

History
#1 - 2011-12-13 12:16 - Karsten Dambekalns
ACL inheritance works like with classic unix permissions: inherited ACL entries are set like the setgid bit when a new entry is created. Thus for existing
stuff ACL entries must be set with +ai. Plus there is a subtle difference between delete and delete_child when inheritance is involved.

#2 - 2011-12-13 13:36 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7239

#3 - 2011-12-13 15:37 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:0d40353066e08a231388cd6127a0d7859809dbbe.

#4 - 2011-12-13 15:43 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch FLOW3-1.0 has been pushed to the review server.
It is available at http://review.typo3.org/7245

#5 - 2011-12-16 20:36 - Karsten Dambekalns
- Status changed from Under Review to Resolved

Applied in changeset commit:9ae0f93715a01307ed474446562eb9d74275f197.
